Redmine - Feature #35934

Show 2FA status in users list from administration with option to filter
2021-09-30 07:50 - Maciej Lizewski

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

To control how many users enabled 2fa it is required to report it somehow. This could by just "2fa status" in users grid and filter/sort
possibility.

Related issues:
Related to Redmine - Feature #1237: Add support for two-factor authentication Closed 2008-05-14

Associated revisions

Revision 21380 - 2022-01-22 09:53 - Marius BALTEANU

Add "Two-factor authentication" filter and column to Users list in administration (#35934).

Revision 21381 - 2022-01-22 10:14 - Marius BALTEANU

Display "Two-factor authentication" on two lines to save some space (#35934).

History
#1 - 2021-09-30 12:47 - Maciej Lizewski
Environment:
Redmine version 4.2.2.stable
Ruby version 2.5.5-p157 (2019-03-15) [x86_64-1linux-gnu]
Rails version 5.2.6
Environment production
Database adapter Mysqgl2
Mailer queue ActiveJob: :QueueAdapters: :AsyncAdapter
Mailer delivery smtp

#2 - 2021-09-30 12:58 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Target version set to Candidate for next major release
Nice ideea.

#3 - 2021-10-14 10:21 - Go MAEDA

- File twofa-scheme-in-users-csv.png added

As an immediate workaround, you can get the information by exporting users as CSV (#34241).

S0 users.csv “Numbers”
Login First name Last name Email Administrator Status |Two-factor authentication scheme| Created
admin Redmine Admin admin@somenet.foo  Yes active |disabled 07/20/2006 (
dlopper Dave Lopper dlopper@somenet.foo No active |disabled 07/20/2006 Q
jsmith John Smith jsmith@somenet.foo No active |disabled 07/20/2006
miscuser8 User Misc miscuser8@foo.bar No active |disabled 07/20/2006
miscuser9 User Misc miscuser9@foo.bar No active |disabled 07/20/2006

#4 - 2021-10-20 10:40 - Maciej Lizewski
https://www.redmine.org/issues/34241

@Go MAEDA - thanks | just figured it out by myself and wanted to add that info here! :)
Anyways - it is not clear enough that it is there and it is probably more like luck you found it...

#5 - 2021-11-06 21:30 - Marius BALTEANU
- Related to Feature #1237: Add support for two-factor authentication added

#6 - 2021-11-06 21:49 - Marius BALTEANU
- File 2fa.png added

The following implementation is enough?
2fa.png
#7 - 2022-01-22 09:56 - Marius BALTEANU
- Subject changed from Report showing users and their 2fa status to Show 2FA status in users list from administration with option to filter
- Status changed from New to Closed
- Target version changed from Candidate for next major release to 5.0.0
- Resolution set to Fixed
Feature added in r21380:

e you can filter the users by their 2FA status
e the column was added to the list.

#8 - 2022-01-22 09:56 - Marius BALTEANU

- Category changed from Accounts / authentication to Administration

Files
twofa-scheme-in-users-csv.png 122 KB 2021-10-14 Go MAEDA
2fa.png 276 KB 2021-11-06 Marius BALTEANU
